Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.recordtype
Class FixedRepeatingGroup

    java.lang.Object
      com.servingxml.components.flatfile.recordtype.FixedRepeatingGroup

All Implemented Interfaces:
  FlatRecordField

    public class FixedRepeatingGroup

extends java.lang.Object
implements FlatRecordField

Field Summary

Fields inherited from interface com.servingxml.components.flatfile.recordtype.FlatRecordField
`EMPTY_ARRAY`

Constructor Summary
`FixedRepeatingGroup(Name fieldName, int startPosition, FlatRecordType segmentType, IntegerSubstitutionExpr countExpr)`

Method Summary
`FlatRecordFieldReader` | `createFlatRecordFieldReader()`
`FlatRecordFieldWriter` | `createFlatRecordWriter()`
`java.lang.String` | `getLabel(ServiceContext context, Flow flow)`
`Name` | `getName()`
`boolean` | `isBinary()`
`boolean` | `isText()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedRepeatingGroup

    public FixedRepeatingGroup(Name fieldName,
                               int startPosition,
                               FlatRecordType segmentType,
                               IntegerSubstitutionExpr countExpr)

Method Detail

### createFlatRecordFieldReader

    public FlatRecordFieldReader createFlatRecordFieldReader()

  Specified by:
    `createFlatRecordFieldReader` in interface `FlatRecordField`

### createFlatRecordWriter

    public FlatRecordFieldWriter createFlatRecordWriter()

  Specified by:
    `createFlatRecordWriter` in interface `FlatRecordField`

### getLabel

    public java.lang.String getLabel(ServiceContext context,
                                     Flow flow)

  Specified by:
    `getLabel` in interface `FlatRecordField`

### getName

    public Name getName()

  Specified by:
    `getName` in interface `FlatRecordField`

### isText

    public boolean isText()

  Specified by:
    `isText` in interface `FlatRecordField`

### isBinary

    public boolean isBinary()

  Specified by:
    `isBinary` in interface `FlatRecordField`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD